namespace StudySystemClient {
	public class Card : Gtk.Frame {
		public Card() {
			hexpand = true;
			add_css_class("card");
		}
	}

	public class CardArea<T> : Gtk.Box {
		protected IterableBox<T> container;

		public CardArea() {
			hexpand = vexpand = true;
			margin_top = margin_bottom = margin_start = margin_end = 0;

			container = new IterableBox<T>(Gtk.Orientation.VERTICAL, 6);
			container.valign = Gtk.Align.START;

			var scrolled_window = new Gtk.ScrolledWindow();
			scrolled_window.hscrollbar_policy = Gtk.PolicyType.NEVER;
			scrolled_window.hexpand = scrolled_window.vexpand = true;
			scrolled_window.add_css_class("card-container");
			scrolled_window.set_child(container);

			append(scrolled_window);
		}
	}
}
